lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'es_log/version'

Gem::Specification.new do |spec|
  spec.name          = 'es_log'
  spec.version       = EsLog::VERSION
  spec.authors       = ['Kirill Shevchenko']
  spec.email         = ['hello@kirillshevch.com']

  spec.summary       = 'Tracing for Ruby microservices through Elasticsearch'
  spec.description   = spec.summary
  spec.homepage      = 'https://github.com/kirillshevch/es_log'
  spec.license       = 'MIT'
  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'dry-configurable'
  spec.add_dependency 'elasticsearch'

  spec.add_development_dependency 'bundler', '~> 1.16'
  spec.add_development_dependency 'elasticsearch'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec'
  spec.add_development_dependency 'rubocop'
end
